Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 29257 - Property sheet value not taken when user tabs focus out
Property sheet value not taken when user tabs focus out
Status: CLOSED WORKSFORME
Product: platform
Classification: Unclassified
Component: Explorer
3.x
PC Windows ME/2000
: P3 (vote)
: TBD
Assigned To: _ tboudreau
issues@platform
:
Depends on: 29447
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-03 22:11 UTC by Ann Sunhachawee
Modified: 2008-12-23 10:57 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ann Sunhachawee 2002-12-03 22:11:21 UTC
S1S4u1.
Behavior on Win2k and Solaris:
In the property sheet, select any of the
properties that has a string text field (e.g. Name
property of a java field). Select the value and
change it, for instance, to "X" from "Y". If user
shift-tab or uses mouse to move focus to another
node, then the value changes to X. 

Behavior on Win2K only:
However, if you push tab after changing it, then
the value resets to "Y". On solaris, the value "X"
is taken when user pushes tab. All platforms
should behave the same, and windows platform
should behave like solaris.
Comment 1 _ tboudreau 2003-03-06 14:56:48 UTC
On Solaris, enter a string property with value X.
Change it to Y.  
Press tab or shift tab.
Value is now Y.

On Windows, enter a string property with value X.
Change it to Y.  
Press tab or shift tab.
Value is now Y.

It's possible that you are referring to secondary propertysheet
values not being immediately updated.  There is a common bug in
a number of modules where a settings node for say, "SomeProperty"
fires a property change for the value of "some_property".  
For performance, PropertySheet was made more efficient - it 
doesn't rebuild itself from scratch unless it knows it's really
displaying the property that changed.  Unfortunately, that 
exposed this bug in many module.
Comment 2 Marian Mirilovic 2003-07-18 14:44:20 UTC
verified, closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo